GET
/api/v1/vpc/node/{master_node_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/node/{master_node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/vpc/node/{master_node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/vpc/node/{master_node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the VPC network the cluster’s master node is attached to - its name, network_id, ipv4_cidr, DNS servers, and subnet. The path takes the cluster’s master_node_id (from List / Detail).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”master_node_id
required
integer
The master_node_id of the cluster (from List / Detail).
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
The VPC networks attached to the cluster’s master node.
Array<object>
object
dns
string
ipv4_cidr
string
name
string
network_id
integer
project_id
string
subnet_id
string
is_e2e_vpc
boolean
Example
[ { "dns": "8.8.8.8 8.8.4.4", "ipv4_cidr": "10.20.0.0/23", "name": "my-vpc", "network_id": 60001, "project_id": "{{project_id}}", "subnet_id": "", "is_e2e_vpc": true }]